> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Retrieve webhook details and recent delivery history

## Path Parameters

<ParamField path="id" type="string" required>
  The webhook ID
</ParamField>

## Response

<ResponseField name="webhook" type="object">
  <Expandable title="webhook object">
    <ResponseField name="id" type="string">Webhook ID</ResponseField>
    <ResponseField name="name" type="string">Webhook name</ResponseField>
    <ResponseField name="url" type="string">Endpoint URL</ResponseField>
    <ResponseField name="events" type="array">Subscribed event types</ResponseField>
    <ResponseField name="is_active" type="boolean">Whether the webhook is active</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 timestamp</ResponseField>
    <ResponseField name="updated_at" type="string">ISO 8601 timestamp</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="deliveries" type="array">
  Last 10 delivery attempts

  <Expandable title="delivery object">
    <ResponseField name="id" type="string">Delivery ID</ResponseField>
    <ResponseField name="event_type" type="string">Event that triggered the delivery</ResponseField>
    <ResponseField name="payload" type="object">The payload that was sent</ResponseField>
    <ResponseField name="status_code" type="number">HTTP response status code</ResponseField>
    <ResponseField name="error_message" type="string">Error message if delivery failed (null on success)</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 timestamp</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
    -H "X-API-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "webhook": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Incident Webhook",
      "url": "https://example.com/webhook",
      "events": ["incident.created", "incident.resolved"],
      "is_active": true,
      "created_at": "2026-01-15T10:30:00.000Z",
      "updated_at": "2026-01-15T10:30:00.000Z"
    },
    "deliveries": [
      {
        "id": "660e8400-e29b-41d4-a716-446655440000",
        "event_type": "incident.created",
        "payload": { "incident_id": "inc_123", "title": "API Outage" },
        "status_code": 200,
        "error_message": null,
        "created_at": "2026-02-20T14:00:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>
